device_type: %%device_type%%

job_name: local_hw_decode_h264
timeouts:
  job:
    minutes: 120
  action:
    minutes: 120
  connection:
    minutes: 4
priority: medium
visibility: public

actions:

    - deploy:
        timeout:
          minutes: 10
        to: tftp
        dtb:
          url: %%dtb%%
        kernel:
          url: %%kernel%%
        nfsrootfs:
          url: %%rootfs%%
          compression: %%rootfscompression%%
        os: oe

    - boot:
        method: u-boot
        type: bootm

        failure_retry: 2
        commands: nfs
        prompts:
          - 'root@'
        timeout:
          minutes: 3

#Add 3 minutes to perform installation of package for first test
    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_14.yaml
          name: TC_AVP_LS_LR_1_1_14
        timeout:
          minutes: 10

    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_15.yaml
          name: TC_AVP_LS_LR_1_1_15
        timeout:
          minutes: 4

    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_16.yaml
          name: TC_AVP_LS_LR_1_1_16
        timeout:
          minutes: 4

    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_17.yaml
          name: TC_AVP_LS_LR_1_1_17
        timeout:
          minutes: 4

    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_19.yaml
          name: TC_AVP_LS_LR_1_1_19
        timeout:
          minutes: 16

    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_20.yaml
          name: TC_AVP_LS_LR_1_1_20
        timeout:
          minutes: 5

    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_21.yaml
          name: TC_AVP_LS_LR_1_1_21
        timeout:
          minutes: 5

#    - test:
#        definitions:
#        - from: git
#          repository:  %%test_git_multimedia%%
#          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_23.yaml
#          name: TC_AVP_LS_LR_1_1_23
#        timeout:
#          minutes: 5

    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_24.yaml
          name: TC_AVP_LS_LR_1_1_24
        timeout:
          minutes: 5

    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_25.yaml
          name: TC_AVP_LS_LR_1_1_25
        timeout:
          minutes: 5

    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_26.yaml
          name: TC_AVP_LS_LR_1_1_26
        timeout:
          minutes: 8

    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_27.yaml
          name: TC_AVP_LS_LR_1_1_27
        timeout:
          minutes: 4

    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_28.yaml
          name: TC_AVP_LS_LR_1_1_28
        timeout:
          minutes: 4

    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_30.yaml
          name: TC_AVP_LS_LR_1_1_30
        timeout:
          minutes: 9

    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_31.yaml
          name: TC_AVP_LS_LR_1_1_31
        timeout:
          minutes: 4

    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_32.yaml
          name: TC_AVP_LS_LR_1_1_32
        timeout:
          minutes: 4

    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_33.yaml
          name: TC_AVP_LS_LR_1_1_33
        timeout:
          minutes: 2

    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_34.yaml
          name: TC_AVP_LS_LR_1_1_34
        timeout:
          minutes: 6

    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_LAVP_LR_4_0_2.yaml
          name: TC_LAVP_LR_4_0_2
        timeout:
          minutes: 1

    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_LAVP_LR_4_1_2.yaml
          name: TC_LAVP_LR_4_1_2
        timeout:
          minutes: 1

    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_LAVP_LR_4_2_2.yaml
          name: TC_LAVP_LR_4_2_2
        timeout:
          minutes: 1

#Execute 2 following tests at the end of job due to instability
    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_22.yaml
          name: TC_AVP_LS_LR_1_1_22
        timeout:
          minutes: 5

    - test:
        definitions:
        - from: git
          repository:  %%test_git_multimedia%%
          path: lava/local_decode/H264/TC_AVP_LS_LR_1_1_29.yaml
          name: TC_AVP_LS_LR_1_1_29
        timeout:
          minutes: 4

